/// Generated By XFlutter Cli.
///
/// more info: https://medium.com/@aghiadodeh
///
/// declare and manage viewModel-liveData variables.
///
/// see: https://pub.dev/packages/flutterx_live_data
///
/// more details: https://medium.com/@aghiadodeh/flutter-live-data-tutorial-4c65f1b7ff5e
import 'package:flutter/material.dart';
import 'package:flutter_mvvm_example/models/data_models.dart';
import 'package:flutter_mvvm_example/ui/screens/home/home_screen.dart';
import 'package:flutterx_live_data/flutterx_live_data.dart';
import 'package:flutter_mvvm_example/models/ui_models/ui_message.dart';

import 'package:flutter_mvvm_example/models/forms/formz_email.dart';
import 'package:flutter_mvvm_example/models/forms/formz_password.dart';

class LoginParams {
  /// Login password
  final MutableLiveData<FormzPassword> password = MutableLiveData(initialValue: const FormzPassword.pure());

  /// Login email
  final MutableLiveData<FormzEmail> email = MutableLiveData(initialValue: const FormzEmail.pure());

  /// in progress
  final MutableLiveData<bool> loading = MutableLiveData(initialValue: false);

  /// UI [SnackBar] message
  final MutableLiveData<UiMessage> uiMessage = MutableLiveData(initialValue: UiMessage());

  /// listen in UI when loginResponse user is not null -> navigate to [HomeScreen]
  final MutableLiveData<LoginResponse> result = MutableLiveData(initialValue: const LoginResponse());
}
